ess (24.01.1-2) unstable; urgency=medium

  * testsuite.patch: fix two tests in ess-test-inf.el.
    The “Browse[…]” prompts numbering has apparently changed.
    (Closes: #1071306)
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2024 11:37:49 +0200

ess (24.01.1-1) unstable; urgency=medium

  * New upstream version 24.01.1 (Closes: #1064388)
  * d/watch: point to GitHub tags page.
    Latest upstream tarball was not uploaded to the traditional location, and
    moreover the upstream tarball available for download on the website contains
    spurious files.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 Feb 2024 10:28:41 +0100

ess (24.01.0-1) unstable; urgency=medium

  * New upstream version 24.01.0
  * d/watch: fix matching of tarball extension
  * d/gbp.conf: switch back to using upstream tarballs
  * d/copyright: reflect upstream changes
  * Ship the NEWS file

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 31 Jan 2024 14:12:47 +0100

ess (18.10.2+git20230419.5c4ae91-2) unstable; urgency=medium

  * testsuite.patch: disable more tests (Closes: #1052936)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Oct 2023 14:05:19 +0200

ess (18.10.2+git20230419.5c4ae91-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: reflect upstream changes
  * refcard-clean.patch: drop patch, applied upstream
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.
  * debian/elpa-test: adapt to upstream testsuite changes
  * testsuite.patch: disable two new tests

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Jun 2023 10:46:46 +0200

ess (18.10.2+git20220915.f45542e-3) unstable; urgency=medium

  * testsuite.patch: disable ess--command-browser-timeout-test.
    It fails randomly.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Oct 2022 21:12:06 +0200

ess (18.10.2+git20220915.f45542e-2) unstable; urgency=medium

  * testsuite.patch: disable command-without-trailing-newline-test.
    It fails randomly.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Oct 2022 16:10:25 +0200

ess (18.10.2+git20220915.f45542e-1) unstable; urgency=medium

  * New upstream snapshot, compatible with Emacs 28 (Closes: #1017829)
  * Move maintenance to the Debian Emacsen team.
    Many thanks to Dirk Eddelbuettel for his work on this package over the
    years!
  * d/watch: bump format to version 4
  * d/control: use secure URL for Homepage
  * Drop ess transitional package that depends on elpa-ess
  * d/copyright: rewrite using machine-readable format 1.0
  * Move to “editors” archive section, per Debian Emacsen team policy
  * Bump to debhelper compat level 13
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1
  * Ship PDF manual and ANNOUNCE file
  * Overhaul long description
  * refcard-clean.patch: new patch, adds missing clean rules for PDF refcard
  * Add d/upstream/metadata
  * Rewrite d/rules using dh.
  * Honour DEB_BUILD_OPTIONS=nodoc.
  * Exercise testsuite at build time and in an autopkgtest.
    New testsuite.patch for disabling or fixing a few failing tests.
  * Register manual into doc-base

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Oct 2022 12:15:20 +0200

ess (18.10.2-3) unstable; urgency=medium

  * debian/control: Remove alternate dependency on install-info
                                  			(Closes: #1013685)
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/watch: Updated

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Jun 2022 17:23:24 -0500

ess (18.10.2-2) unstable; urgency=medium

  * debian/control: Change Build-Depends: from texlive-generic-recommended
    to texlive-plain-generic 				(Closes: #941517)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Oct 2019 12:38:13 -0500

ess (18.10.2-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Nov 2018 07:02:07 -0600

ess (18.10-1-2) unstable; urgency=medium

  * debian/rules: No longer modify ess-site.el

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Oct 2018 10:05:16 -0500

ess (18.10-1-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Oct 2018 19:59:57 -0500

ess (18.10-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Oct 2018 15:53:28 -0500

ess (17.11-5) unstable; urgency=medium

  * Rebuilding for Debian unstable			(Closes: #907165)

  * debian/README.Debian: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Aug 2018 06:57:53 -0500

ess (17.11-4) experimental; urgency=medium

  [David Bremner]
  * experimental conversion to dh_elpa

  [Dirk Eddelbuettel]
  * Applied David's patch, adding transition package ess, tweaks
  * Many thanks to David for the help in converting to an elpa package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2018 16:02:02 -0500

ess (17.11-3) unstable; urgency=medium

  * debian/emacsen-install: Allow 'emacs' to accommodate Emacs packaging in
    unstable; also no longer link el files back 	(Closes: #906517)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2018 08:52:36 -0500

ess (17.11-2) unstable; urgency=medium

  * lisp/ess-utils.el: Synced with updated upstream per issue #465
  * lisp/ess-site.el: Ditto				(Closes: #882042)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Nov 2017 17:08:32 -0600

ess (17.11-1) unstable; urgency=medium

  * New upstream version released today

  * debian/emacsen-install: Improvement suggested in #850041 install
  * debian/control: Increased Standards-Version: to current version

  * debian/control: Increased Standards-Version: to current version
  * debian/compat: Increased to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Nov 2017 20:29:44 -0600

ess (16.10-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2016 11:04:13 -0500

ess (16.04-2) unstable; urgency=medium

  * debian/emacsen-install: Skip installation for emacs23
  * debian/control: Note requirement for emacs24 or later

  * debian/control: Increased Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 May 2016 15:30:40 -0500

ess (16.04-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 May 2016 11:46:33 -0500

ess (15.09.2-3) unstable; urgency=low

  * debian/control: Add Build-Depends on texlive-fonts-recommended

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Mar 2016 09:39:09 -0600

ess (15.09.2-2) unstable; urgency=low

  * doc/texinfo.tex: Temporarily adding copy from texinfo 6.0 to avoid
    breakage with the version included with texinfo 6.1	(Closes: #815734)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Mar 2016 07:43:01 -0600

ess (15.09.2-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Dec 2015 06:17:51 -0600

ess (15.09.1-1) unstable; urgency=low

  * New upstream version released today

  * debian/emacsen-install: Call gzip with '-f' to ensure in-place upgrades
  							(Closes: #802953)

  * debian/control: Shift Maintainer: address from ess-debian list to me,
    remove now-redundant Uploaders: field		(Closes: #803003)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Oct 2015 19:22:28 -0500

ess (15.09-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Sep 2015 21:20:07 -0500

ess (15.03-1-2) unstable; urgency=low

  * debian/emacsen-compat: Added, with value of zero

  * debian/emacsen-install: Refreshed

  * debian/control: Depends: emacsen-common (>= 2.0.8) per Emacsen Policy

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2015 20:29:39 -0500

ess (15.03-1-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Apr 2015 12:38:30 -0500

ess (15.03-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Change Depends: on r-base-core to Recommends:
							  (Closes: #767043)
  * debian/control: Add julia to Suggests:

  * debian/control: Increased Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Apr 2015 05:31:31 -0500

ess (14.09-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Sep 2014 09:03:04 -0500

ess (13.09-1-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Increased Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Dec 2013 13:26:27 -0600

ess (13.09-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Increased Standards-Version: to current version

  * debian/control: Added Build-Depends: on autotools-dev to always use
    current autotools file

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Sep 2013 18:41:32 -0500

ess (13.05-3) unstable; urgency=low

  * debian/emacsen-install (PACKAGE): Do not attempt installation for
    either emacs22 or xemacs21 which are no longer supported upstream
					(Closes: #708930, #710438)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Jun 2013 13:35:06 -0500

ess (13.05-2) unstable; urgency=low

  * lisp/ess-stan-d.el: Comment-out the file which should not have been in
    the release.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 May 2013 13:54:28 -0500

ess (13.05-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 May 2013 06:31:40 -0500

ess (12.09-2-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Jan 2013 15:51:47 -0600

ess (12.09-1-1) unstable; urgency=low

  * New upstream version released twelve hours ago

  * debian/control: Mention Julia in Description:	(Closes: #692468)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Dec 2012 00:56:45 -0600

ess (12.09-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Sep 2012 14:32:49 -0500

ess (12.04-4-1) unstable; urgency=low

  * New upstream patch version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jun 2012 11:52:04 -0500

ess (12.04-3-1) unstable; urgency=low

  * New upstream patch version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jun 2012 08:53:38 -0500

ess (12.04-2-1) unstable; urgency=low

  * New upstream patch version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 May 2012 06:15:00 -0500

ess (12.04-1-1) unstable; urgency=low

  * New upstream patch version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 May 2012 08:00:38 -0500

ess (12.04-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Apr 2012 18:26:34 -0500

ess (12.03-1) unstable; urgency=low

  * New upstream version released today (with new numbering scheme)

  * debian/control: Increased Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Mar 2012 08:46:40 -0500

ess (5.14-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Jul 2011 12:34:05 -0500

ess (5.13-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Feb 2011 16:10:05 -0600

ess (5.12-1) unstable; urgency=low

  * New upstream version released today

  * debian/emacen-startup: Follow suggestion by Kevin Ryde in #594750 and
    use debian-pkg-add-load-path-item as well; also improved emacsen-install
    script by using soft links instead of copies	(Closes: #594750)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Nov 2010 16:52:27 -0600

ess (5.11-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jul 2010 11:50:00 -0500

ess (5.10-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Jun 2010 05:29:06 -0500

ess (5.9.1-2) unstable; urgency=low

  * lisp/*: Upgraded to svn revision 5352 with a fix by Sebastian Luque
    for the XEmacs incompatibility			(Closes: #583857)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Jun 2010 09:59:22 -0500

ess (5.9.1-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 May 2010 09:02:10 -0500

ess (5.9-1) unstable; urgency=low

  * New upstream version released this morning

  * debian/control: Increased Standards-Version: to current version
  * debian/source/format: Added with value "1.0" to please lintian

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 May 2010 02:32:53 -0500

ess (5.8-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Mar 2010 06:25:04 -0600

ess (5.7.1-1) unstable; urgency=low

  * New upstream version released this afternoon

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 16:50:32 -0600

ess (5.7-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 06:29:02 -0600

ess (5.6-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Dec 2009 11:46:57 -0600

ess (5.5-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Updated Depends: list by adding 'emacs23' to list
  * debian/control: Updated Homepage: URL to 'ess.r-project.org'

  * debian/control: Increased Standards-Version: to 3.8.1
    + debian/control: Added '${misc:Depends}' to Depends
    + debian/control: Added 'dpkg (>= 1.15.4) | install-info'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Oct 2009 09:31:55 -0500

ess (5.4-1) unstable; urgency=low

  * New upstream version released today

  * etc/config.guess: Switched to current version /usr/share/misc/config.guess

  * debian/control enhancements suggested by Debian bugreport #529914
  * debian/control: Increased Standards-Version: to 3.8.1
  * debian/control: Added Homepage: fields
  * debian/compat: Increased to level 7, increaded Build-Depends accordingly
  * debian/rules: Use dh_prep in cleaning step

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jun 2009 15:19:01 -0500

ess (5.3.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2009 12:00:52 -0600

ess (5.3.10.1-1) unstable; urgency=low

  * New upstream release 5.3.10
  * This release is relabeled 5.3.10.1 as we used the 5.3.10 version number
    for the bugfix release which turns out to have been a pre-release.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Dec 2008 07:25:55 -0600

ess (5.3.10-2) unstable; urgency=low

  * Updated to SVN revision 4001 which addresses the bug report
    'ess: fails setting up' when no R version is present	(Closes: #507510)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Dec 2008 09:25:16 -0600

ess (5.3.10-1) unstable; urgency=low

  * New upstream release

  * Closes open bug 'emacs warning on upgrade'			(Closes: #507299)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 20:39:02 -0600

ess (5.3.9~svn3950-1) unstable; urgency=low

  * New packages based on svn revision 3950 approaching release 5.3.9.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 04 Oct 2008 18:41:09 -0500

ess (5.3.8~svn3917-1) unstable; urgency=low

  * New upstream version based on svn revision 3917 approaching release 5.3.8.

  * debian/rules: Add trailing slash to ess-etc-directory definition -- with
    thanks to Martin Maechler for finding this as the cause to SAS load issues

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Jul 2008 19:16:57 -0500

ess (5.3.8~svn3902-1) unstable; urgency=low

  * debian/emacsen-install: Strengthen regular expression to only exclude
    ess.el. Thanks to Sebastian Luque for fixing the bug he reported! This now
    really fixed bug report 482351 addressed in the previous upload.

  * debian/watch: Updated URL and regular expression

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 May 2008 21:39:40 -0500

ess (5.3.8~svn3899-1) unstable; urgency=low

  * New upstream version based on svn revision 3899
  * lisp/Makefile: Add ess-eldoc to targets			(Closes: #482351)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 May 2008 06:13:36 -0500

ess (5.3.8~svn3895-1) unstable; urgency=low

  * New upstream version based on svn revision 3895 approaching release 5.3.8.

  * New maintainers: the package is now maintained by group of Ess and
    Debian developers that can be reached at ess-debian@r-project.org.
    Camm's many years of diligent maintenance are gratefully acknowledged.
  * The group repository is available at https://svn.R-project.org/ESS

  [ Stefan Theussl ]
  * debian/control: Change build-depends to texlive packages 	(Closes: #420945)
  * debian/emacsen-startup.el: Applied patch kindly supplied by Peter Galbraith
    to not load Ess when it has been purged 			(Closes: #440194)
  * Add details to copyright.

  [ Martin Maechler ]
  * doc/refcard/refcard.tex:  Switched to fullpage.sty		(Closes: #443462)

  [ Dirk Eddelbuettel ]
  * New upstream version addresses the following bugs:
    "options(error=recover) in R confuses ESS			(Closes: #400382)
    "upgrade to fix complaints about .Last.value"		(Closes: #442159)
    "warning: make-variable-buffer-local should be called ..."	(Closes: #456001)
  * Bug report #371058 is being looked at upstream and the missing functionality
    may be added in the future.  All other open bugs are now closed.
  * debian/copyright: Updated to new parseable form for copyright and license
  * debian/doc-base: Updated Section:

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 May 2008 21:13:02 -0500

ess (5.3.0-1) unstable; urgency=low

  * New upstream release
  * Add tetex-extra to build-depends, Closes: #363080, Closes: #358327.
  * Apply xemacs key binding fix, Closes: #343234.
  * Comment out svn references in refcard.tex, as Debian does not have
    svn.sty at the moment.
  * Add ess-intro-graphs.pdf and refcard.pdf to docs

 -- Camm Maguire <camm@enhanced.com>  Fri, 28 Apr 2006 16:27:11 +0000

ess (5.2.12-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "ess-mode rebinds [(meta backspace)]", thanks to Rafael
    Laboissiere (Closes: #343234). Applied patch

 -- Camm Maguire <camm@enhanced.com>  Wed,  1 Mar 2006 16:13:18 +0000

ess (5.2.11-1) unstable; urgency=low

  * New upstream release
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Nov 2005 23:13:20 +0000

ess (5.2.10-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Fri, 21 Oct 2005 00:50:06 +0000

ess (5.2.6-1) unstable; urgency=high

  * New upstream release
  * chmod -R u+w on orig source

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Mar 2005 13:48:07 +0000

ess (5.2.5-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "ess: error in doc-base file", thanks to Laurent Bonnaud
    (Closes: #283699).  index.html -> ess.html in doc-base.
  * Revert to (require 'ess-site) in emacsen-startup now that
    global-font-lock issue is resolved.

 -- Camm Maguire <camm@enhanced.com>  Thu, 10 Mar 2005 15:25:56 +0000

ess (5.2.3-4) unstable; urgency=high

  * Suggests: xlispstat, r-base | r-base-core, pspp

 -- Camm Maguire <camm@enhanced.com>  Fri, 19 Nov 2004 14:40:23 +0000

ess (5.2.3-3) unstable; urgency=high

  * repair broken replace-regexp-in-string -> ess-replace-regexp-in-string
    patch
  * expand autoload functionality in emacsen-startup

 -- Camm Maguire <camm@enhanced.com>  Thu, 11 Nov 2004 00:51:43 +0000

ess (5.2.3-2) unstable; urgency=high

  * Fix autoload on 'R, 'R-mode, and 'XLS

 -- Camm Maguire <camm@enhanced.com>  Thu, 28 Oct 2004 15:28:56 +0000

ess (5.2.3-1) unstable; urgency=high

  * New upstream release
  * Remove debian/info in favor of command line args generated at compile
    time.
  * Full make in doc directory
  * Suggest r-base and xlispstat
  * Autoload ess-site on M-x R and M-x XLS instead of require in emacs
    startup.  Closes: #271845.
  * replace-regexp-in-string -> ess-replace-regexp-in-string, Closes:
    #278253.
  * Clean README ANNOUNCE doc/html/readme.html doc/html/ess.html

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Oct 2004 18:48:59 +0000

ess (5.2.2-2) unstable; urgency=high

  * Chnage menu entry in ess.el to re-enable R icon functionality.

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Sep 2004 13:04:06 +0000

ess (5.2.2-1) unstable; urgency=low

  * New upstream release
  * New release Closes: #267588
  * new watch file
  * Added INFO-DIR-SECTION Emacs info es.info
  * Add ess.dvi and readme.dvi to documentation
  * minor rules changes to doc/Makefile
  * comment out ess-display-w3-help-on-object-other-window, as is not
    finished and contains code called for effect.
  * Carry forward bug fix to ess-latex.el
  * Carry forward ess-sysdp.el disabling of local variables
  * Carry forward renamining of 'nuke-trailing...' in ess-utils.el
  * Several old doc files no longer available
  * Add /usr/share/ess/etc directory for icon support.  TODO, need to
    clean the contents.
  * compat 4

 -- Camm Maguire <camm@enhanced.com>  Mon, 30 Aug 2004 16:41:21 +0000

ess (5.1.24-6) unstable; urgency=low

  * Newer standards
  * Bug fix: "Half-broken dependency on emacs20", thanks to Martin
    Michlmayr (Closes: #232757).  replace with emacs21

 -- Camm Maguire <camm@enhanced.com>  Sun, 15 Feb 2004 20:08:31 +0000

ess (5.1.24-5) unstable; urgency=low

  * nuke-trailing-whitespace -> ess-nuke-trailing-whitespace to avoid
    collision with emacs-goodies, Closes: #214583

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Oct 2003 13:35:04 +0000

ess (5.1.24-4) unstable; urgency=low

  * Remove references to old info files - Closes: #204035
  * Newer texinfo adds content to index sections, Closes: #188937
  * Newer standards
  * Lintian cleanups to copyright file

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Oct 2003 13:34:54 +0000

ess (5.1.24-3) unstable; urgency=low

  * Build-depend on texi2html, Closes: #173641

 -- Camm Maguire <camm@enhanced.com>  Thu, 19 Dec 2002 14:24:20 -0500

ess (5.1.24-2) unstable; urgency=low

  * Fix bug in ess-latex.el, Closes: #168792

 -- Camm Maguire <camm@enhanced.com>  Thu, 14 Nov 2002 21:46:18 -0500

ess (5.1.24-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Oct 2002 15:08:50 -0500

ess (5.1.20-3) unstable; urgency=low

  * New upstream site

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Oct 2002 12:34:16 -0500

ess (5.1.20-2) unstable; urgency=low

  * flavor ->debian-emacs-flavor in emacsen-startup

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Mar 2002 14:26:19 -0500

ess (5.1.20-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 28 Feb 2002 15:25:29 -0500

ess (5.1.19-5) unstable; urgency=low

  * Info files in section Emacs, Closes: #135171
  * Newer standards
  * Build-Depends-Indep
  * Depends emacs20 | emacsen

 -- Camm Maguire <camm@enhanced.com>  Sat, 23 Feb 2002 09:40:49 -0500

ess (5.1.19-4) unstable; urgency=low

  * Reformatted doc string in essl-bug.el, disabled indentation eval
    local variables in ess-sysdp.el, eliminates warnings when byte
    compiling, Closes: #132436

 -- Camm Maguire <camm@enhanced.com>  Tue, 12 Feb 2002 14:14:02 -0500

ess (5.1.19-3) unstable; urgency=low

  * /etc/emacs/site-start.d/50ess.el as conffile, Closes: #132138

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Feb 2002 09:12:13 -0500

ess (5.1.19-2) unstable; urgency=low

  * autoload -> require in emacsen startup

 -- Camm Maguire <camm@enhanced.com>  Fri,  1 Feb 2002 14:41:16 -0500

ess (5.1.19-1) unstable; urgency=low

  * New upstream release
  * chmod u+w doc/user-faq doc/user-manual

 -- Camm Maguire <camm@enhanced.com>  Mon, 10 Sep 2001 09:47:31 -0400

ess (5.1.18-4) unstable; urgency=low

  * Fixed emacsen startup, Closes: #102850, Closes: #103142

 -- Camm Maguire <camm@enhanced.com>  Tue,  3 Jul 2001 22:02:08 -0400

ess (5.1.18-3) unstable; urgency=low

  * Autoload instead of load in emacsen-startup

 -- Camm Maguire <camm@enhanced.com>  Wed,  7 Mar 2001 09:44:33 -0500

ess (5.1.18-2) unstable; urgency=low

  * Updated Build-Depends

 -- Camm Maguire <camm@enhanced.com>  Tue,  6 Mar 2001 23:53:35 -0500

ess (5.1.18-1) unstable; urgency=low

  * New upstream source, Closes #74938
  * New source, Closes #86626.
  * New upstream source, Closes: #81565

 -- Camm Maguire <camm@enhanced.com>  Tue,  6 Mar 2001 22:42:01 -0500

ess (5.1.13-3) unstable; urgency=low

  * Added build-depends line.  Closes #70297.
  * Changed load-path in emacsen-startup to load .elc instead of .el
    files
  * Added doc-base registration file

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Sep 2000 03:44:16 +0200

ess (5.1.13-2) unstable; urgency=low

  * Commented out requirement of tex-site in ess-debug.el to avoid
    dependency on auctex.  Closes #65453.

 -- Camm Maguire <camm@enhanced.com>  Mon, 12 Jun 2000 18:07:47 +0200

ess (5.1.13-1) unstable; urgency=low

  * New upstream release, fixing various bugs
  * Incorporated lintian fixes of previous version into this upload to
    frozen

 -- Camm Maguire <camm@enhanced.com>  Thu, 30 Mar 2000 00:47:26 +0200

ess (5.1.8-4) unstable; urgency=low

  * Upgraded to latest standards version
  * Fixed rules to build on freshly unpacked source
  * Made local copy of dh_dhelp script in debian/
  * Upgraded GPL copyright path

 -- Camm Maguire <camm@enhanced.com>  Wed, 29 Mar 2000 18:09:18 +0200

ess (5.1.8-3) unstable; urgency=low

  * Fixed confusing description (closes #51303)
  * Modified dhelp setup slightly

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 15:22:00 -0400

ess (5.1.8-2) unstable; urgency=low

  * Fixed dhelp support

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 13:49:06 -0400

ess (5.1.8-1) unstable; urgency=low

  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 12:03:46 -0400
